com.elastisys.scale.cloudpool.api.types

## Class Machine.MachineIdExtractor

- java.lang.Object
- - com.elastisys.scale.cloudpool.api.types.Machine.MachineIdExtractor

All Implemented Interfaces:
  com.google.common.base.Function<Machine,String>

Enclosing class:
  Machine

    public static class Machine.MachineIdExtractor
    extends Object
    implements com.google.common.base.Function<Machine,String>

A transformation `Function` that when applied to a `Machine` extracts the `Machine`'s id.

Can be used to transform a collection of `Machine`s to a collection of `String`. See `Iterables.transform(Iterable, Function)`.

See Also:
  `http://code.google.com/p/guava-libraries/wiki/FunctionalExplained`

### Constructor Summary

Constructors
Constructor and Description
`MachineIdExtractor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `apply(Machine machine)` Extracts the id of a `Machine`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.common.base.Function

`equals`

### Constructor Detail

#### MachineIdExtractor

    public MachineIdExtractor()

### Method Detail

#### apply

    public String apply(Machine machine)

Extracts the id of a `Machine`.

Specified by:
  `apply` in interface `com.google.common.base.Function<Machine,String>`
See Also:
  `Function.apply(Object)`